package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
public class DrpSupplierMaterialCertDTO {
   @ApiModelProperty("供应商id")
   private @NotNull(
   message = "供应商id不能为空"
) Long supplierId;
   @ApiModelProperty("原料商品Id")
   private @NotEmpty(
   message = "原料商品Id不能为空"
) List<Long> materialIdList;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public List<Long> getMaterialIdList() {
      return this.materialIdList;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setMaterialIdList(final List<Long> materialIdList) {
      this.materialIdList = materialIdList;
   }


   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierMaterialCertDTO(supplierId=" + var10000 + ", materialIdList=" + String.valueOf(this.getMaterialIdList()) + ")";
   }
}
